Bug 984902 - SysRq key acts as Print Screen on Dell laptop
SysRq key acts as Print Screen on Dell laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 06:26 EDT by Andrew Travneff
Modified: 2013-09-19 14:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:25:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Travneff 2013-07-16 06:26:16 EDT
I use Dell Latitude E6420 laptop. SysRq key shall be accessed as Fn+Home there. However, pressing such a combination gives the same keycode as for Fn+End (meaning Print Screen).
The main issue is that the magic keys usage is impossible.
I'm not sure it can be fixed by somebody other than Dell, though.

kernel 3.9.9-302.fc19.x86_64

xev output for Print Screen and SysRq combinations:


FocusIn event, serial 44, synthetic NO, window 0x2e00001,
    mode NotifyNormal, detail NotifyNonlinear

KeymapNotify event, serial 44, synthetic NO, window 0x0,
    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

MappingNotify event, serial 44, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 8, count 248

FocusOut event, serial 44, synthetic NO, window 0x2e00001,
    mode NotifyGrab, detail NotifyAncestor

FocusIn event, serial 45, synthetic NO, window 0x2e00001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 45, synthetic NO, window 0x0,
    keys:  1   0   0   0   0   0   0   0   0   0   0   0   0   8   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

KeyRelease event, serial 45, synthetic NO, window 0x2e00001,
    root 0xaa, subw 0x0, time 7104084, (75,-16), root:(1452,454),
    state 0x0, keycode 107 (keysym 0xff61, Print), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

FocusOut event, serial 45, synthetic NO, window 0x2e00001,
    mode NotifyGrab, detail NotifyAncestor

FocusIn event, serial 45, synthetic NO, window 0x2e00001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 45, synthetic NO, window 0x0,
    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   8   0   0   
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   

KeyRelease event, serial 45, synthetic NO, window 0x2e00001,
    root 0xaa, subw 0x0, time 7112779, (75,-16), root:(1452,454),
    state 0x0, keycode 107 (keysym 0xff61, Print), same_screen YES,
    XLookupString gives 0 bytes: 
    XFilterEvent returns: False

PropertyNotify event, serial 45, synthetic NO, window 0x2e00001,
    atom 0x1e4 (_NET_WM_ICON_GEOMETRY), time 7112982, state PropertyNewValue

FocusOut event, serial 45, synthetic NO, window 0x2e00001,
    mode NotifyNormal, detail NotifyNonlinear

MappingNotify event, serial 45, synthetic NO, window 0x0,
    request MappingKeyboard, first_keycode 8, count 248
Comment 1 Josh Boyer 2013-09-18 16:46:22 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Andrew Travneff 2013-09-19 05:42:50 EDT
That HW is no longer accessible for me.

Note You need to log in before you can comment on or make changes to this bug.